///Class cubes////

class Cubes
{
init ()
{
  this.Tex1 = loadImage('assets/neonback2.jpg');
}

FX()
  {
  texture(this.Tex1);
  translate(0,0,-350);
  noStroke();
  plane(1200,1200);
      
        
  translate(0,0,+350);
  rotateX(millis() /1900);
  rotateY(millis() /1900);
  rotateZ(millis() /1900);
  stroke(190,0,0);
  fill(235,96,190,100)
  strokeWeight(4)
  //stroke(255,96,0);
  //box(420)
  
  //scale(1*cos(millis() /1200))
  
  randomSeed(1235);
  
  for (let i = 0; i <= 270; i++){ 
      
  this.size=random(20,110);
  this.timesize=random(200,500);
  
  this.vx = random(-200, 200);
  this.vy = random(-200, 200);
  this.vz = random(-200, 200);
    
  this.cx = random(150, 250);
  this.cy = random(50, 99);
  this.cz = random(130, 200);
  this.apha=random(200,250);
  
  
    push();
    translate(this.vx,this.vy,this.vz);
    strokeWeight(1);
    
    //noStroke();
    fill(this.cx,this.cy,this.cz);
    box(this.size*cos(millis() /this.timesize)+10);
    pop();      
       } 
    } 
  }